## mender-client4 5.1.0~git20260202.ddc1fb94

=== CMakeLists.txt ===
set(SYSTEMD_UNIT_DIR /lib/systemd/system CACHE STRING "Directory where systemd unit files are installed")

include(GNUInstallDirs)

option(MENDER_DATA_DIR_SYSTEMD_UNIT "Install the mender-data-dir.service file" OFF)

set(DBUS_POLICY_FILES
  dbus/io.mender.AuthenticationManager.conf
)
set(DBUS_SERVICE_FILES
  dbus/io.mender.AuthenticationManager.service
)
set(DOCS_EXAMPLES demo.crt)
set(IDENTITYSCRIPTS mender-device-identity)
set(INVENTORYSCRIPTS
  mender-inventory-bootloader-integration
  mender-inventory-hostinfo
  mender-inventory-intervals
  mender-inventory-network
  mender-inventory-os
  mender-inventory-provides
  mender-inventory-rootfs-type
  mender-inventory-update-modules
)
set(INVENTORY_NETWORKSCRIPTS mender-inventory-geo
)
set (ROOTFS_IMAGE
  modules/rootfs-image
)
set(MODULES
  modules/directory
  modules/single-file
  ${ROOTFS_IMAGE}
)
set(MODULES_ARTIFACT_GENERATORS
  modules-artifact-gen/directory-artifact-gen
  modules-artifact-gen/single-file-artifact-gen
)
set(SYSTEMD_UNITS
  mender-updated.service
  mender-authd.service
)

if(MENDER_DATA_DIR_SYSTEMD_UNIT)
  list(APPEND SYSTEMD_UNITS mender-data-dir.service)
endif()

install(PROGRAMS ${INVENTORYSCRIPTS}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mender/inventory
  COMPONENT inventory-scripts
)
add_custom_target(install-inventory-scripts
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component inventory-scripts
)
add_custom_target(uninstall-inventory-scripts
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component inventory-scripts -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(PROGRAMS ${INVENTORY_NETWORKSCRIPTS}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mender/inventory
  COMPONENT inventory-network-scripts
  # Disabled by default to avoid API throttling.
  EXCLUDE_FROM_ALL
)
add_custom_target(install-inventory-network-scripts
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component inventory-network-scripts
)
add_custom_target(uninstall-inventory-network-scripts
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component inventory-network-scripts -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(PROGRAMS ${IDENTITYSCRIPTS}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mender/identity
  COMPONENT identity-scripts
)
add_custom_target(install-identity-scripts
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component identity-scripts
)
add_custom_target(uninstall-identity-scripts
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component identity-scripts -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(FILES ${DBUS_POLICY_FILES}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system.d
  COMPONENT dbus-policy-files
)
add_custom_target(install-dbus-policy-files
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component dbus-policy-files
)
add_custom_target(uninstall-dbus-policy-files
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component dbus-policy-files -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)
install(FILES ${DBUS_SERVICE_FILES}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system-services
  COMPONENT dbus-service-files
)
add_custom_target(install-dbus-service-files
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component dbus-service-files
)
add_custom_target(uninstall-dbus-service-files
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component dbus-service-files -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(PROGRAMS ${MODULES}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mender/modules/v3
  COMPONENT modules
)
add_custom_target(install-modules
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component modules
)
add_custom_target(uninstall-modules
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component modules -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(PROGRAMS ${MODULES_ARTIFACT_GENERATORS}
  DESTINATION bin
  COMPONENT modules-gen
  # Disabled by default since devices don't typically need them.
  EXCLUDE_FROM_ALL
)
add_custom_target(install-modules-gen
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component modules-gen
)
add_custom_target(uninstall-modules-gen
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component modules-gen -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(FILES ${SYSTEMD_UNITS}
  DESTINATION ${SYSTEMD_UNIT_DIR}
  COMPONENT systemd
)
add_custom_target(install-systemd
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component systemd
)
add_custom_target(uninstall-systemd
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component systemd -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

# Not using CMAKE_INSTALL_DOCDIR as it will default to .../doc/mender/
install(FILES ${DOCS_EXAMPLES}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/doc/mender-auth/examples
  COMPONENT examples
)
add_custom_target(install-examples
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component examples
)
add_custom_target(uninstall-examples
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component examples -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(PROGRAMS ${ROOTFS_IMAGE}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mender/modules/v3
  COMPONENT rootfs-image-module
)
add_custom_target(install-rootfs-image-module
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component rootfs-image-module
)
add_custom_target(uninstall-rootfs-image-module
  COMMAND ${CMAKE_COMMAND} -D CMAKE_INSTALL_component rootfs-image-module -P ${CMAKE_BINARY_DIR}/cmake_uninstall.cmake
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

=== common/vendor/optional-lite/CMakeLists.txt ===
# Copyright 2016-2018 by Martin Moene
#
# https://github.com/martinmoene/optional-lite
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

cmake_minimum_required( VERSION 3.15 FATAL_ERROR )

# optional-lite project and version, updated by script/update-version.py:

project(
    optional_lite
    VERSION 3.6.0
#   DESCRIPTION "A C++17-like optional, a nullable object for C++98, C++11 and later in a single-file header-only library"
#   HOMEPAGE_URL "https://github.com/martinmoene/optional-lite"
    LANGUAGES CXX )

# Package information:

set( unit_name       "optional" )
set( package_nspace  "nonstd" )
set( package_name    "${unit_name}-lite" )
set( package_version "${${PROJECT_NAME}_VERSION}" )

message( STATUS "Project '${PROJECT_NAME}', package '${package_name}' version: '${package_version}'")

# Toplevel or subproject:

if ( CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME )
    set( optional_IS_TOPLEVEL_PROJECT TRUE )
else()
    set( optional_IS_TOPLEVEL_PROJECT FALSE )
endif()

# If toplevel project, enable building and performing of tests, disable building of examples:

option( OPTIONAL_LITE_OPT_BUILD_TESTS    "Build and perform optional-lite tests" ${optional_IS_TOPLEVEL_PROJECT} )
option( OPTIONAL_LITE_OPT_BUILD_EXAMPLES "Build optional-lite examples" OFF )

option( OPTIONAL_LITE_OPT_SELECT_STD     "Select std::optional"    OFF )
option( OPTIONAL_LITE_OPT_SELECT_NONSTD  "Select nonstd::optional" OFF )

# If requested, build and perform tests, build examples:

if ( OPTIONAL_LITE_OPT_BUILD_TESTS )
    enable_testing()
    add_subdirectory( test )
endif()

if ( OPTIONAL_LITE_OPT_BUILD_EXAMPLES )
    add_subdirectory( example )
endif()

#
# Interface, installation and packaging
#

# CMake helpers:

include( GNUInstallDirs )
include( CMakePackageConfigHelpers )

# Interface library:

add_library(
    ${package_name} INTERFACE )

add_library(
    ${package_nspace}::${package_name} ALIAS ${package_name} )

target_include_directories(
    ${package_name}
    INTERFACE
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>" )

# Package configuration:
# Note: package_name and package_target are used in package_config_in

set( package_folder         "${package_name}" )
set( package_target         "${package_name}-targets" )
set( package_config         "${package_name}-config.cmake" )
set( package_config_in      "${package_name}-config.cmake.in" )
set( package_config_version "${package_name}-config-version.cmake" )

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/${package_config_in}"
    "${CMAKE_CURRENT_BINARY_DIR}/${package_config}"
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${package_folder}"
)

configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake/${package_config_version}.in"
   "${CMAKE_CURRENT_BINARY_DIR}/${package_config_version}" @ONLY
)

# Installation:

install(
    TARGETS      ${package_name}
    EXPORT       ${package_target}
#   INCLUDES DESTINATION "${...}"  # already set via target_include_directories()
)

install(
    EXPORT       ${package_target}
    NAMESPACE    ${package_nspace}::
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${package_folder}"
)

install(
    FILES       "${CMAKE_CURRENT_BINARY_DIR}/${package_config}"
                "${CMAKE_CURRENT_BINARY_DIR}/${package_config_version}"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${package_folder}"
)

install(
    DIRECTORY   "include/"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

export(
    EXPORT       ${package_target}
    NAMESPACE    ${package_nspace}::
    FILE         "${CMAKE_CURRENT_BINARY_DIR}/${package_name}-targets.cmake"
)

# end of file

=== common/vendor/json/tests/cmake_target_include_directories/CMakeLists.txt ===
add_test(NAME cmake_target_include_directories_configure
  COMMAND ${CMAKE_COMMAND}
    -G "${CMAKE_GENERATOR}"
    -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
    -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
    -Dnlohmann_json_source=${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/project
)
add_test(NAME cmake_target_include_directories_build
    COMMAND ${CMAKE_COMMAND} --build .
)
set_tests_properties(cmake_target_include_directories_configure PROPERTIES
    FIXTURES_SETUP cmake_target_include_directories
    LABELS not_reproducible
)
set_tests_properties(cmake_target_include_directories_build PROPERTIES
    FIXTURES_REQUIRED cmake_target_include_directories
    LABELS not_reproducible
)

=== common/vendor/json/tools/serve_header/requirements.txt ===
PyYAML==6.0.3
watchdog==6.0.0

=== debian/changelog ===
mender-client4 (5.1.0~git20260202.ddc1fb94-1+ubuntu+noble+builder2303778094) experimental; urgency=medium

  * Release 5.1.0~git20260202.ddc1fb94-1+ubuntu+noble+builder2303778094.
    See online docs for complete changelog

 -- root <root@16c8f32a892f>  Tue, 03 Feb 2026 20:20:30 +0000

## mender-client4 5.1.0~git20260204.ce1f7ab3

=== common/vendor/json/docs/mkdocs/requirements.txt ===
wheel==0.46.3

mkdocs==1.6.1                                       # documentation framework
mkdocs-git-revision-date-localized-plugin==1.5.1    # plugin "git-revision-date-localized"
mkdocs-material==9.7.1                             # theme for mkdocs
mkdocs-material-extensions==1.3.1                   # extensions
mkdocs-minify-plugin==0.8.0                         # plugin "minify"
mkdocs-redirects==1.2.2                             # plugin "redirects"
mkdocs-htmlproofer-plugin==1.4.1                    # plugin "htmlproofer"

PyYAML==6.0.3                                       # linter

=== debian/changelog ===
mender-client4 (5.1.0~git20260204.ce1f7ab3-1+ubuntu+noble+builder2322856851) experimental; urgency=medium

  * Release 5.1.0~git20260204.ce1f7ab3-1+ubuntu+noble+builder2322856851.
    See online docs for complete changelog

 -- root <root@594eeb3d0fed>  Thu, 12 Feb 2026 20:09:44 +0000

## mender-client4 5.1.0~git20260213.40a3e0bb

=== debian/changelog ===
mender-client4 (5.1.0~git20260213.40a3e0bb-1+debian+bookworm+builder2325138823) experimental; urgency=medium

  * Release 5.1.0~git20260213.40a3e0bb-
    1+debian+bookworm+builder2325138823. See online docs for complete
    changelog

 -- root <root@38d18820b594>  Fri, 13 Feb 2026 20:09:29 +0000

=== debian/control ===
Source: mender-client4
Maintainer: The Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 4.0.0
Build-Depends-Indep: cmake, debhelper (>= 10)
Build-Depends: liblmdb-dev (>= 0.9.7), libc6-dev (>= 2.14), libboost-dev (>= 1.67.0), libboost-filesystem-dev (>= 1.67.0), libboost-log-dev (>= 1.67.0), libboost-regex-dev (>= 1.67.0), libboost-chrono-dev (>= 1.67.0), libboost-thread-dev (>= 1.67.0), libboost-atomic-dev (>= 1.67.0),  libssl-dev (>= 1.1.1), libarchive-dev (>= 3.2.2), libdbus-1-dev, libsystemd-dev
Homepage: https://mender.io

Package: mender-client4
Conflicts: mender, mender-client
Replaces: mender-client, mender-auth, mender-update, mender-snapshot, mender-setup
Architecture: any
Depends: mender-auth (= ${source:Version}), mender-update (= ${source:Version}), mender-snapshot, mender-setup, mender-flash
Description: Mender client
 Mender is an open source over-the-air (OTA) software updater for embedded Linux devices.

Package: mender-update
Conflicts: mender, mender-client
Architecture: any
Depends: mender-auth, ${shlibs:Depends}, ${misc:Depends}
Recommends: mender-flash, mender-setup, mender-client-version-inventory-script
Description: Mender update
 Mender-update is an open source over-the-air (OTA) software updater for embedded Linux devices.

Package: mender-auth
Conflicts: mender, mender-client
Architecture: any
Depends: dbus, ${shlibs:Depends}, ${misc:Depends}
Recommends: mender-setup
Description: Mender auth
 Mender-auth enables centralized authentication against a Mender server.

Package: mender-client4-dev
Architecture: all
Depends: mender-client4 (= ${binary:Version}), ${misc:Depends}
Description: Mender client development files
 Mender is an open source over-the-air (OTA) software updater for embedded Linux devices.
 .
 This package contains the development files:
 * D-Bus API interface files
